Skip to main content
`Ctrl`+`K`

# PetscKDTree

Implementation of KDTree for efficiently querying spatial points

## Synopsis

    #include "petscis.h"
    typedef struct _n_PetscKDTree *PetscKDTree;

## Note

See https://en.wikipedia.org/wiki/K-d_tree for a description of K-d trees

## See Also

`PetscKDTreeCreate()`, `PetscKDTreeDestroy()`, `PetscKDTreeView()`, `PetscKDTreeQueryPointsNearestNeighbor()`

## Level

advanced

## Location

include/petscis.h

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages